#### RECDELIM

#### Synopsis

    HELP:   Delimiter for FLAMFILE records
    TYPE:   STRING
    SYNTAX: RECDELIM/RECDEL/RECD='bin-hex'

#### Description

Record delimiter for FLAMFILE.

See also parameters INRECDELIM and OUTRECDELIM.

Syntax restrictions for FLAMv4 or older:

- z/OS
  - `RECDEL=String`
  - `RECD=String`
    - Note: Not evaluated by FLAM under z/OS
- UNIX
  - `-recdelim=record delimiter`
- WINDOWS
  - `recdelim=record delimiter`

Values

- z/OS
  - String with max. 4 characters.
- UNIX
  - Hexadecimal characters between 01 and ff, with a length of either 1 or 2 bytes.
    - Note: This parameter permits a record delimiter to be specified for the stream record format. If a record delimiter is not specified for the stream record format, 0x0a is used as a default delimiter. If `-recdelim=0D0A` is specified, for example, the data can be used for MS-DOS format. This parameter can only be specified for the compression procedure.
- WINDOWS
  - Hexadecimal characters between 01 and FF. Length: 1 or 2 bytes (2 or 4 hex characters)
    - Note: Regarding Record format text: With this parameter the record delimiter of the FLAMFILE can be specified in connection with `recform=text` in `mode=cx7`. If no record delimiter is specified for record format text, 0D0A (CRLF) is used. For example, with `recdelim=0a` the output of data is possible in UNIX format. This parameter can only be specified for the compression procedure.

Default

- no record delimiter

Valid for

- z/OS
  - compression, decompression
- UNIX
  - compression
- WINDOWS
  - compression